Bug 1790580 - Enable fstrim.timer by default
Summary: Enable fstrim.timer by default
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chris Murphy
QA Contact:
URL:
Whiteboard:
Depends On: 1785041
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-13 16:46 UTC by Ben Cotton
Modified: 2020-04-28 14:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 14:30:22 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2020-01-13 16:46:25 UTC
This is a tracking bug for Change: Enable fstrim.timer by default
For more details, see: https://fedoraproject.org/wiki/Changes/EnableFSTrimTimer

Enabling fstrim.timer will cause fstrim.service to execute weekly, which in turn executes /usr/sbin/fstrim --fstab --verbose --quiet
The fstrim command informs physical storage device's firmware about unused blocks. And this hinting can make wear leveling and block erasure more efficient.

Comment 1 Chris Murphy 2020-02-06 17:14:30 UTC
90-default.preset set to enable fstrim.timer
https://src.fedoraproject.org/rpms/fedora-release/pull-request/104

util-linux has been updated to %triggerpostun for fedora < 32
https://src.fedoraproject.org/rpms/util-linux/c/20ae04497c34f190e461e47d01ea34c4bbac8116?branch=master

This feature is code complete and testable (once the above two packages get updated in Rawhide).

Comment 2 Ben Cotton 2020-02-11 18:13:49 UTC
Branching Fedora 32 Changes from rawhide. Today is the Code Complete (testable) deadline. Please make sure your bug status is set appropriately:

Complete (testable) -> MODIFIED
Complete (100% code complete) -> ON_QA (deadline is 25 February)

If you need to defer this change until Fedora 33, please set the version back to 'rawhide'.

Comment 3 Ben Cotton 2020-04-28 14:30:22 UTC
Fedora 32 is released!


Note You need to log in before you can comment on or make changes to this bug.